import { AfterContentChecked, AfterViewInit, ChangeDetectorRef, DoCheck, ElementRef, OnDestroy, OnInit } from "@angular/core";
import { StiModelService } from "../../services/model.service";
import { StiSignatureElement } from "../../elements/StiSignatureElement";
import { StiMouseService } from "../../services/mouse.service";
import { StiComponentResizerService } from "../../services/sti-component-resizer.service";
import { StiLocalizationService } from "../../services/sti-localization.service";
import { Subscription } from "rxjs/internal/Subscription";
import { SignatureService } from "../../services/sti-signature.service";
import { StiHelperService } from "../../services/sti-helper.service";
export declare class StiSignatureComponent implements OnInit, AfterViewInit, DoCheck, OnDestroy, AfterContentChecked {
    model: StiModelService;
    mouse: StiMouseService;
    resize: StiComponentResizerService;
    loc: StiLocalizationService;
    signatureService: SignatureService;
    helper: StiHelperService;
    private cdr;
    element: StiSignatureElement;
    isClone: boolean;
    sigPad: ElementRef;
    text: ElementRef;
    ref: ElementRef;
    label: ElementRef;
    mouseUpSubscription: Subscription;
    buttonClickSubscribe: Subscription;
    loadedImageSubscribe: Subscription;
    topMargin: number;
    labelRef: any;
    drawingMode: boolean;
    textMode: boolean;
    isDrawing: boolean;
    loadedImage: boolean;
    context: any;
    sigPadElement: any;
    textContent: any;
    get align(): string;
    get isCurrentEditableSignature(): boolean;
    get cursor(): string;
    getInsertedTextValue(): string;
    getTypeTextValue(): string;
    showSignatureEditor(): void;
    get canvasWidth(): number;
    get image(): string;
    get drawedImage(): string;
    get alignment(): "center" | "end" | "start";
    getHorizontalAlignment(): "center" | "end" | "start";
    getBackgroundSize(container: any): string;
    getCanvasSize(container: any): string;
    getBackgroundPosition(): "center" | "center center" | "top center" | "bottom center";
    get canvasHeight(): number;
    constructor(model: StiModelService, mouse: StiMouseService, resize: StiComponentResizerService, loc: StiLocalizationService, signatureService: SignatureService, helper: StiHelperService, cdr: ChangeDetectorRef);
    ngAfterContentChecked(): void;
    ngOnDestroy(): void;
    ngDoCheck(): void;
    isCanvasBlank(canvas: any): boolean;
    ngAfterViewInit(): void;
    onMouseUp(event: any): void;
    onMouseDown(event: any): void;
    onMouseMove(event: any): void;
    ngOnInit(): void;
    UpdateState(): void;
    private relativeCoords;
    clear(): void;
    save(): void;
}
